For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet tags
      • POSTCreate a tag
      • GETGet a tag by ID
      • DELDelete a tag
      • PATCHUpdate a tag
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonTags

Create a tag

POST
/tags
POST
/v1/tags
$curl -X POST https://api.sandbox.monite.com/v1/tags \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Marketing"
>}'
1{
2 "id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
3 "created_at": "2022-09-07T16:35:18Z",
4 "updated_at": "2022-09-07T16:35:18Z",
5 "name": "Marketing",
6 "category": "document_type",
7 "created_by_entity_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5",
8 "description": "Tag for the Marketing Department"
9}

Create a new tag. The tag name must be unique. Tag names are case-sensitive, that is Marketing and marketing are two different tags.

The response returns an auto-generated ID assigned to this tag. To assign this tag to a resource, send the tag ID in the tag_ids list when creating or updating a resource.

Was this page helpful?
Previous

Get a tag by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
namestringRequired1-255 characters
The tag name. Must be unique.
categoryenumOptional
The tag category.
descriptionstringOptional1-255 characters
The tag description.

Response

Successful Response
idstringformat: "uuid"
A unique ID of this tag.
created_atdatetime

Date and time when the tag was created. Timestamps follow the ISO 8601 standard.

updated_atdatetime

Date and time when the tag was last updated. Timestamps follow the ISO 8601 standard.

namestring
The tag name.
categoryenum
The tag category.
created_by_entity_user_idstringformat: "uuid"
ID of the user who created the tag.
descriptionstring1-255 characters
The tag description.

Errors

400
Post Tags Request Bad Request Error
401
Post Tags Request Unauthorized Error
403
Post Tags Request Forbidden Error
404
Post Tags Request Not Found Error
406
Post Tags Request Not Acceptable Error
422
Post Tags Request Unprocessable Entity Error
429
Post Tags Request Too Many Requests Error